
package com.ejie.ab63.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for TPostalAddress complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="TPostalAddress">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="pais" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="codPais" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="direccion" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="localidad" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="codLocalidad" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="municipio" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="codMunicipio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="provincia" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N"/>
 *         &lt;element name="codProvincia" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="portal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="escalera" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="piso" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="letra" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cp" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TPostalAddress", namespace = "com/ejie/x43s/v2/ttn/xml", propOrder = { "pais", "codPais", "direccion",
		"localidad", "codLocalidad", "municipio", "codMunicipio", "provincia", "codProvincia", "portal", "escalera",
		"piso", "letra", "cp" })
public class TPostalAddress {

	@XmlElement(required = true)
	protected String pais;
	protected String codPais;
	@XmlElement(required = true)
	protected String direccion;
	@XmlElement(required = true)
	protected String localidad;
	protected String codLocalidad;
	@XmlElement(required = true)
	protected String municipio;
	protected String codMunicipio;
	@XmlElement(required = true)
	protected TTextI18N provincia;
	protected String codProvincia;
	protected String portal;
	protected String escalera;
	protected String piso;
	protected String letra;
	@XmlElement(required = true)
	protected String cp;

	/**
	 * Gets the value of the pais property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getPais() {
		return pais;
	}

	/**
	 * Sets the value of the pais property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setPais(String value) {
		this.pais = value;
	}

	/**
	 * Gets the value of the codPais property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCodPais() {
		return codPais;
	}

	/**
	 * Sets the value of the codPais property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCodPais(String value) {
		this.codPais = value;
	}

	/**
	 * Gets the value of the direccion property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDireccion() {
		return direccion;
	}

	/**
	 * Sets the value of the direccion property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setDireccion(String value) {
		this.direccion = value;
	}

	/**
	 * Gets the value of the localidad property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getLocalidad() {
		return localidad;
	}

	/**
	 * Sets the value of the localidad property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setLocalidad(String value) {
		this.localidad = value;
	}

	/**
	 * Gets the value of the codLocalidad property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCodLocalidad() {
		return codLocalidad;
	}

	/**
	 * Sets the value of the codLocalidad property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCodLocalidad(String value) {
		this.codLocalidad = value;
	}

	/**
	 * Gets the value of the municipio property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getMunicipio() {
		return municipio;
	}

	/**
	 * Sets the value of the municipio property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setMunicipio(String value) {
		this.municipio = value;
	}

	/**
	 * Gets the value of the codMunicipio property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCodMunicipio() {
		return codMunicipio;
	}

	/**
	 * Sets the value of the codMunicipio property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCodMunicipio(String value) {
		this.codMunicipio = value;
	}

	/**
	 * Gets the value of the provincia property.
	 * 
	 * @return possible object is {@link TTextI18N }
	 * 
	 */
	public TTextI18N getProvincia() {
		return provincia;
	}

	/**
	 * Sets the value of the provincia property.
	 * 
	 * @param value
	 *            allowed object is {@link TTextI18N }
	 * 
	 */
	public void setProvincia(TTextI18N value) {
		this.provincia = value;
	}

	/**
	 * Gets the value of the codProvincia property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCodProvincia() {
		return codProvincia;
	}

	/**
	 * Sets the value of the codProvincia property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCodProvincia(String value) {
		this.codProvincia = value;
	}

	/**
	 * Gets the value of the portal property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getPortal() {
		return portal;
	}

	/**
	 * Sets the value of the portal property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setPortal(String value) {
		this.portal = value;
	}

	/**
	 * Gets the value of the escalera property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getEscalera() {
		return escalera;
	}

	/**
	 * Sets the value of the escalera property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setEscalera(String value) {
		this.escalera = value;
	}

	/**
	 * Gets the value of the piso property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getPiso() {
		return piso;
	}

	/**
	 * Sets the value of the piso property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setPiso(String value) {
		this.piso = value;
	}

	/**
	 * Gets the value of the letra property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getLetra() {
		return letra;
	}

	/**
	 * Sets the value of the letra property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setLetra(String value) {
		this.letra = value;
	}

	/**
	 * Gets the value of the cp property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCp() {
		return cp;
	}

	/**
	 * Sets the value of the cp property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setCp(String value) {
		this.cp = value;
	}

}
